/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>

#include<gtkextra/gtkextra.h>
#include<gtkextra/gdk-pixbuf-hacks.h>
#include<gtkextra/gtkextratypebuiltins.h>
#include<gtkextra/gtkplotcandle.h>

#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}

DEFUN_DLD( gtk_color_combo_get_color_at , args , , " GdkColor gtk_color_combo_get_color_at (GtkColorCombo * combo,gint row,gint col); " )
{
  GtkColorCombo *   combo ;
  gint   row ;
  gint   col ;
  if(args.length()!= 3 )
    {
      std::cout<< "eg:  GdkColor gtk_color_combo_get_color_at (GtkColorCombo * combo,gint row,gint col); " <<std::endl;
      return octave_value(-1);
    }
#ifdef DEBUG
  std::cout<<" gtk_color_combo_get_color_at "<<std::endl;
#endif /* DEBUG */
  combo =( GtkColorCombo * )args( 0 ).long_value();
  row = (  gint  ) args( 1 ).int_value();
  col = (  gint  ) args( 2 ).int_value();
  long int ret_type=gtk_color_combo_get_color_at (combo,row,col).pixel;
  return octave_value(ret_type);
}

DEFUN_DLD( gtk_color_combo_get_selection , args , , " GdkColor gtk_color_combo_get_selection (GtkColorCombo * combo); " )
{
  GtkColorCombo *   combo ;
  if(args.length()!= 1 )
    {
      std::cout<< "eg:  GdkColor gtk_color_combo_get_selection (GtkColorCombo * combo); " <<std::endl;
      return octave_value(-1);
    }
#ifdef DEBUG
  std::cout<<" gtk_color_combo_get_selection "<<std::endl;
#endif /* DEBUG */
  combo =( GtkColorCombo * )args( 0 ).long_value();
  long int ret_type=(long int) gtk_color_combo_get_selection ( combo).pixel;
  return octave_value(ret_type);
}
DEFUN_DLD( gtk_file_list_add_type , args , , " gint gtk_file_list_add_type (GtkFileList * file_list,gchar * *pixmap_data); " )
{
#if 0
  GtkFileList *   file_list ;
  gchar **pixmap_data ;
  if(args.length()!= 2 )
    {
      std::cout<< "eg:  gint gtk_file_list_add_type (GtkFileList * file_list,gchar * *pixmap_data); " <<std::endl;
      return octave_value(-1);
    }
#ifdef DEBUG
  std::cout<<" gtk_file_list_add_type "<<std::endl;
#endif /* DEBUG */
  file_list =( GtkFileList * )args( 0 ).long_value();
  *pixmap_data = new  gchar   [args( 1 ).string_value ().length()];
  strcpy( (char *) *pixmap_data ,args( 1 ).string_value().c_str());
  long int ret_type=(long int) gtk_file_list_add_type ( file_list,*pixmap_data);
#endif
  return octave_value("Not Implemented");
}
DEFUN_DLD(gtk_extra_hello_world,args,,"Just say hello!")
{
	return octave_value("Hello World");
}
